Subject: Re: [PATCH RFC v2 0/7] Introduce Rust and announce that it will become mandatorty

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 10 Sep 2025 10:21:46 +0200

On Mon, Sep 08, 2025 at 11:00:29PM +0000, brian m. carlson wrote:
> I may end up asking for some assistance in polishing and sending in what
> I have.  Most of what I have is reasonably good quality[0] and should be
> bisectable, but I'm up to 81 patches before the Rust part of the code
> (which so far has 12 patches) and I'm worried I won't be able to both
> write it and get it sent in in nice-sized series before 3.0 is likely to
> happen.

Oh, I didn't expect it to be that much work. In any case, I would be
happy to help out with this effort in case there's anything concrete we
can do here.

> Alternatively, we could maybe accept that interoperability is a
> nice-to-have for Git 3.0 and not an essential.  It's not mentioned in
> the BreakingChanges document, so it's perhaps not a requirement.  We
> could also have someone work on this as part of their job to get it
> handled more quickly[1].

I wouldn't mind that outcome, either.

> Finally, I am currently interested in working on the interop code (but
> have no problem handing it off if that works better for the project),
> but I cannot guarantee that I will absolutely have time or inclination
> to continue.

That is very fair indeed. I don't have the intention to force anybody's
hands with the proposed 3.0 timeline.

Patrick